sailpoint.object

## Interface Filter.FilterVisitor

All Known Implementing Classes:
  Filter.BaseFilterVisitor

Enclosing class:
  Filter

    public static interface Filter.FilterVisitor

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `visitAnd(Filter.CompositeFilter var1)`
`void` `visitCollectionCondition(Filter.LeafFilter var1)`
`void` `visitContainsAll(Filter.LeafFilter var1)`
`void` `visitEQ(Filter.LeafFilter var1)`
`void` `visitGE(Filter.LeafFilter var1)`
`void` `visitGT(Filter.LeafFilter var1)`
`void` `visitIn(Filter.LeafFilter var1)`
`void` `visitIsEmpty(Filter.LeafFilter var1)`
`void` `visitIsNull(Filter.LeafFilter var1)`
`void` `visitJoin(Filter.LeafFilter var1)`
`void` `visitLE(Filter.LeafFilter var1)`
`void` `visitLeftJoin(Filter.LeafFilter var1)`
`void` `visitLike(Filter.LeafFilter var1)`
`void` `visitLT(Filter.LeafFilter var1)`
`void` `visitNE(Filter.LeafFilter var1)`
`void` `visitNot(Filter.CompositeFilter var1)`
`void` `visitNotNull(Filter.LeafFilter var1)`
`void` `visitOr(Filter.CompositeFilter var1)`
`void` `visitSubquery(Filter.LeafFilter var1)`

### Method Detail

#### visitAnd

    void visitAnd(Filter.CompositeFilter var1)
           throws GeneralException

Throws:
  `GeneralException`

#### visitOr

    void visitOr(Filter.CompositeFilter var1)
          throws GeneralException

Throws:
  `GeneralException`

#### visitNot

    void visitNot(Filter.CompositeFilter var1)
           throws GeneralException

Throws:
  `GeneralException`

#### visitEQ

    void visitEQ(Filter.LeafFilter var1)
          throws GeneralException

Throws:
  `GeneralException`

#### visitNE

    void visitNE(Filter.LeafFilter var1)
          throws GeneralException

Throws:
  `GeneralException`

#### visitLT

    void visitLT(Filter.LeafFilter var1)
          throws GeneralException

Throws:
  `GeneralException`

#### visitGT

    void visitGT(Filter.LeafFilter var1)
          throws GeneralException

Throws:
  `GeneralException`

#### visitLE

    void visitLE(Filter.LeafFilter var1)
          throws GeneralException

Throws:
  `GeneralException`

#### visitGE

    void visitGE(Filter.LeafFilter var1)
          throws GeneralException

Throws:
  `GeneralException`

#### visitIn

    void visitIn(Filter.LeafFilter var1)
          throws GeneralException

Throws:
  `GeneralException`

#### visitContainsAll

    void visitContainsAll(Filter.LeafFilter var1)
                   throws GeneralException

Throws:
  `GeneralException`

#### visitLike

    void visitLike(Filter.LeafFilter var1)
            throws GeneralException

Throws:
  `GeneralException`

#### visitNotNull

    void visitNotNull(Filter.LeafFilter var1)
               throws GeneralException

Throws:
  `GeneralException`

#### visitIsNull

    void visitIsNull(Filter.LeafFilter var1)
              throws GeneralException

Throws:
  `GeneralException`

#### visitIsEmpty

    void visitIsEmpty(Filter.LeafFilter var1)
               throws GeneralException

Throws:
  `GeneralException`

#### visitJoin

    void visitJoin(Filter.LeafFilter var1)
            throws GeneralException

Throws:
  `GeneralException`

#### visitLeftJoin

    void visitLeftJoin(Filter.LeafFilter var1)
                throws GeneralException

Throws:
  `GeneralException`

#### visitCollectionCondition

    void visitCollectionCondition(Filter.LeafFilter var1)
                           throws GeneralException

Throws:
  `GeneralException`

#### visitSubquery

    void visitSubquery(Filter.LeafFilter var1)
                throws GeneralException

Throws:
  `GeneralException`